Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZBoxType Class Reference

## Public Member Functions
| eZBoxType ( $id=-1)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
| length ()
| height ()
| width ()
| setName ( $value)
| setLength ( $value)
| setHeight ( $value)
| setWidth ( $value)

## Public Attributes
| $ID
| $Name
| $Length
| $Height
| $Width

## Detailed Description

! eZTrade This class handles the different Box Types.

See also
  eZProduct

Definition at line 39 of file ezboxtype.php.

## Member Function Documentation

## ◆ delete()

eZBoxType::delete | ( |  | ) |

Deletes a box type from the database.

Definition at line 145 of file ezboxtype.php.

References $db, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ eZBoxType()

eZBoxType::eZBoxType | ( |  | $id = `-1` | ) |

Constructs a new object.

Definition at line 44 of file ezboxtype.php.

References $id, and $ID.

Referenced by getAll().

## ◆ get()

eZBoxType::get | ( |  | $id = `-1` | ) |

Fetches the Box Type from the database.

Definition at line 99 of file ezboxtype.php.

References $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZBoxType::getAll | ( |  | ) |

Retrieves all the box types from the database.

Definition at line 125 of file ezboxtype.php.

References $db, $i, eZBoxType(), and eZDB\globalDatabase().

## ◆ height()

eZBoxType::height | ( |  | ) |

Returns the height of the box type.

Definition at line 180 of file ezboxtype.php.

References $Height.

## ◆ id()

eZBoxType::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 156 of file ezboxtype.php.

References $ID.

## ◆ length()

eZBoxType::length | ( |  | ) |

Returns the length of the box type.

Definition at line 172 of file ezboxtype.php.

References $Length.

## ◆ name()

eZBoxType::name | ( |  | ) |

Returns the name of the box type.

Definition at line 164 of file ezboxtype.php.

References $Name.

## ◆ setHeight()

eZBoxType::setHeight | ( |  | $value | ) |

Sets the height of the box type.

Definition at line 212 of file ezboxtype.php.

## ◆ setLength()

eZBoxType::setLength | ( |  | $value | ) |

Sets the length of the box type.

Definition at line 204 of file ezboxtype.php.

## ◆ setName()

eZBoxType::setName | ( |  | $value | ) |

Sets the name of the box type.

Definition at line 196 of file ezboxtype.php.

References Name.

## ◆ setWidth()

eZBoxType::setWidth | ( |  | $value | ) |

Sets the width of the box type.

Definition at line 220 of file ezboxtype.php.

## ◆ store()

eZBoxType::store | ( |  | ) |

Stores/updates the Box Type in the database.

Definition at line 57 of file ezboxtype.php.

References $db, $ret, eZDB\finish(), eZDB\globalDatabase(), and Name.

## ◆ width()

eZBoxType::width | ( |  | ) |

Returns the width of the box type.

Definition at line 188 of file ezboxtype.php.

References $Width.

## Member Data Documentation

## ◆ $Height

eZBoxType::$Height

Definition at line 228 of file ezboxtype.php.

Referenced by height().

## ◆ $ID

eZBoxType::$ID

Definition at line 225 of file ezboxtype.php.

Referenced by eZBoxType(), and id().

## ◆ $Length

eZBoxType::$Length

Definition at line 227 of file ezboxtype.php.

Referenced by length().

## ◆ $Name

eZBoxType::$Name

Definition at line 226 of file ezboxtype.php.

Referenced by name().

## ◆ $Width

eZBoxType::$Width

Definition at line 229 of file ezboxtype.php.

Referenced by width().

The documentation for this class was generated from the following file:

- ezboxtype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.